Bug 1186614 (CVE-2013-7424) - CVE-2013-7424 glibc: Invalid-free when using getaddrinfo()
Summary: CVE-2013-7424 glibc: Invalid-free when using getaddrinfo()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-7424
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 981942 1233404
Blocks: 1187112
TreeView+ depends on / blocked
 
Reported: 2015-01-28 06:50 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:27 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An invalid free flaw was found in glibc's getaddrinfo() function when used with the AI_IDN flag. A remote attacker able to make an application call this function could use this flaw to execute arbitrary code with the permissions of the user running the application. Note that this flaw only affected applications using glibc compiled with libidn support.
Clone Of:
Environment:
Last Closed: 2015-11-24 08:30:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1627 normal SHIPPED_LIVE Moderate: glibc security update 2015-08-17 09:47:05 UTC
Sourceware 18011 None None None 2019-04-08 17:37:53 UTC

Description Huzaifa S. Sidhpurwala 2015-01-28 06:50:44 UTC
An Invalid-free() flaw was found in the getaddrinfo() syscall of glibc. The bug only materializes if the getaddrinfo functions is called with
the AI_IDN flag, and if glibc has been compiled with libidn support. 

This flaw was fixed in glibc-2.15 via the following commit:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;a=commitdiff;h=2e96f1c7

Comment 2 Huzaifa S. Sidhpurwala 2015-01-28 08:47:36 UTC
Filed a CVE request at:

http://seclists.org/oss-sec/2015/q1/306

Comment 9 errata-xmlrpc 2015-08-17 05:47:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1627 https://rhn.redhat.com/errata/RHSA-2015-1627.html

Comment 12 Florian Weimer 2015-08-19 07:53:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1391 https://rhn.redhat.com/errata/RHSA-2014-1391.html


Note You need to log in before you can comment on or make changes to this bug.